v.centroids - GRASS GIS manual
Author: GRASS Development Team
Description: v.centroids: Adds missing centroids to closed boundaries.
Keywords: vector, centroid, area

## NAME

v.centroids - Adds missing centroids to closed boundaries.

## KEYWORDS

vector, centroid, area

## SYNOPSIS

v.centroids
v.centroids --help
v.centroids input=name output=name [option=string] [layer=string] [cat=integer] [step=integer] [--overwrite] [--help] [--verbose] [--quiet] [--ui]

### Flags:

--overwrite
  Allow output files to overwrite existing files
--help
  Print usage summary
--verbose
  Verbose module output
--quiet
  Quiet module output
--ui
  Force launching GUI dialog

### Parameters:

input=name [required]
  Name of input vector map
  Or data source for direct OGR access
output=name [required]
  Name for output vector map
option=string
  Action to be taken
  Options: add
  Default: add
layer=string
  Layer number or name
  Vector features can have category values in different layers. This number determines which layer to use. When used with direct OGR access this is the layer name.
  Default: 1
cat=integer
  Category number starting value
  Default: 1
step=integer
  Category increment
  Default: 1

## DESCRIPTION

In GRASS GIS, a centroid is a point within a closed ring of boundaries. A vector area is defined as composite entity consisting of a set of closed boundaries and a centroid. The attribute information associated with this area is linked to the centroid. The v.centroids module adds centroids to closed boundaries in the input file and assigns a category number to them. The starting value as well as the increment size may be set using optional parameters.

Multiple attributes may be linked to a single vector entity through numbered fields referred to as layers. Refer to v.category for more details, as v.centroids is simply a frontend to that module.

The boundary itself is often stored without any category reference as it can mark the border between two adjacent areas. Thus it would be ambiguous as to which feature the attribute would belong. In some cases it may, for example, represent a road between two parcels of land. In this case it is entirely appropriate for the boundary to contain category information.

## EXAMPLES

Create an area from a closed line using North Carolina sample dataset:

    v.type input=busroute11 output=busroute11_boundary from_type=line to_type=boundary
    v.centroids input=busroute11_boundary output=busroute11_area

Figure: Creating area from closed line

## SEE ALSO

v.category

## AUTHORS

module: M. Hamish Bowman, Dept. Marine Science, Otago University, New Zealand
help page: Trevor Wiens

## SOURCE CODE

Available at: v.centroids source code (history)

Latest change: Thursday Oct 10 20:41:09 2024 in commit: def7a1af728ed34f459f5fe474fab4657f5d277e

Main index | Vector index | Topics index | Keywords index | Graphical index | Full index

© 2003-2025 GRASS Development Team, GRASS GIS 8.4.3dev Reference Manual